weka.classifiers.functions.explicitboundaries

## Interface IDecisionBoundary

- All Known Implementing Classes:
    DecisionBoundary, DecisionBoundaryPlane

      public interface IDecisionBoundary

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `classify(weka.core.Instance instance)` Classify instance
    `int` | `getClass1Idx()`
    `int` | `getClass2Idx()`
    `weka.core.Instances` | `getDatasetHeader()`
    `double` | `getDistance(weka.core.Instance instance)` Returns the smallest distance between the surface of the decision boundary and the instance
    `int` | `getIndex(weka.core.Instance instance)` Give the class index for the instance
    `double` | `getValue(weka.core.Instance instance)` Get value of the characteristic function of the decision boundary

- - ### Method Detail

    - #### getIndex

          int getIndex(weka.core.Instance instance)
                throws Exception

      Give the class index for the instance
      Parameters:
        `instance` -
      Throws:
        `Exception`

    - #### classify

          double classify(weka.core.Instance instance)
                   throws Exception

      Classify instance
      Parameters:
        `instance` -
      Returns:
      Throws:
        `Exception`

    - #### getValue

          double getValue(weka.core.Instance instance)
                   throws Exception

      Get value of the characteristic function of the decision boundary
      Parameters:
        `instance` -
      Returns:
      Throws:
        `Exception`

    - #### getDistance

          double getDistance(weka.core.Instance instance)
                      throws Exception

      Returns the smallest distance between the surface of the decision boundary and the instance
      Parameters:
        `instance` -
      Returns:
      Throws:
        `Exception`

    - #### getDatasetHeader

          weka.core.Instances getDatasetHeader()

      Returns:
        the datasetHeader

    - #### getClass1Idx

          int getClass1Idx()

      Returns:
        the class1Idx

    - #### getClass2Idx

          int getClass2Idx()

      Returns:
        the class2Idx

Copyright © 2019. All Rights Reserved.